summaryrefslogtreecommitdiff
path: root/tests/usertools/useradd/65_useradd_locked_group/useradd.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/usertools/useradd/65_useradd_locked_group/useradd.test')
-rwxr-xr-xtests/usertools/useradd/65_useradd_locked_group/useradd.test60
1 files changed, 0 insertions, 60 deletions
diff --git a/tests/usertools/useradd/65_useradd_locked_group/useradd.test b/tests/usertools/useradd/65_useradd_locked_group/useradd.test
deleted file mode 100755
index e6583bae..00000000
--- a/tests/usertools/useradd/65_useradd_locked_group/useradd.test
+++ /dev/null
@@ -1,60 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../../common/config.sh
-. ../../../common/log.sh
-
-log_start "$0" "useradd -G checks if the group file is locked"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config; rm -f /etc/group.lock' 0
-
-change_config
-
-echo -n "Create lock file for /etc/group..."
-touch /etc/group.lock
-echo "done"
-
-echo -n "Add user foo (useradd foo)..."
-useradd foo 2>tmp/useradd.err && exit 1 || {
- status=$?
-}
-echo "OK"
-
-rm -f /etc/group.lock
-
-echo -n "Check returned status ($status)..."
-test "$status" = "10"
-echo "OK"
-
-echo "useradd reported:"
-echo "======================================================================="
-cat tmp/useradd.err
-echo "======================================================================="
-echo -n "Check that there were a failure message..."
-diff -au data/useradd.err tmp/useradd.err
-echo "error message OK."
-rm -f tmp/useradd.err
-
-echo -n "Check the passwd file..."
-../../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-